#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os
native_apps_allowed_by_license = None


def _native_capabilities_disabled(self):
    self.logger.debug('Disable native capabilities')
    # disable apps, if enabled
    os.system("cd /root/apps/; for dirname in `ls */ -d | cut -f1 -d'/'`; do systemctl disable $dirname.service; done")
    self.logger.info('native disabled - need restart')
    self.will_reboot = True


def _native_capabilities_enabled(self):
    self.logger.debug('Enable native capabilities')

    """
    if license is not allowed,
    we will silently return.
    App start/onboard will not succeed, 
    there is check for license there too.
    """
    if not native_apps_allowed_by_license:
        self.logger.error('Native applications not allowed by a valid license.')
        return

    self.logger.info('Native enabled - need restart')
    self.will_reboot = True


def _native_capabilities_unknown(self):
    self.logger.debug('Missing native capabilities')
